Skip to main content
PUT
/
takeaways
/
{takeawayId}
/
comments
/
{commentId}
Update a takeaway comment
curl --request PUT \
  --url https://api.kameleoon.com/takeaways/{takeawayId}/comments/{commentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "mentionedAccountIds": [
    123
  ]
}
'
{
  "authorId": 123,
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateModified": "2023-11-07T05:31:56Z",
  "id": 123,
  "mentionedAccountIds": [
    123
  ],
  "parentId": 123,
  "takeawayId": 123,
  "text": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

takeawayId
integer<int64>
required
commentId
integer<int64>
required

Body

application/json
text
string
required

Comment text

mentionedAccountIds
integer<int64>[]

Account ids mentioned in the comment

Account ids mentioned in the comment

status
enum<string>

Comment status

Available options:
ACTIVE,
ARCHIVED

Response

OK

authorId
integer<int64>
read-only

Account Id of the comment author

dateCreated
string<date-time>
read-only

Date when the comment was created

dateModified
string<date-time>
read-only

Date when the comment was modified

id
integer<int64>
read-only

Unique Id of the takeaway comment

mentionedAccountIds
integer<int64>[]
read-only

Account ids mentioned in the comment

Account ids mentioned in the comment

parentId
integer<int64>
read-only

Unique Id of the parent comment

status
enum<string>
read-only

Comment status

Available options:
ACTIVE,
ARCHIVED
takeawayId
integer<int64>
read-only

Unique Id of the takeaway

text
string
read-only

Comment text